<?php

namespace Teknisa\CRM\Geral\Services;

use Teknisa\CRM\Util\Mail;
use Teknisa\CRM\Util\CRMParameters;

class EnviarEmailService {
    
    private $dsemailoper;
    protected $entityManager;
    protected $email;

    public function __construct(CRMParameters $crmParameters) {
        $this->crmParameters = $crmParameters;
    }

    public function enviarEmailCompromisso($template, $to, $subject, Array $content, $from, $toName, $emailCC, $nameCC, $attach){
        try {
            $email = new Mail($this->crmParameters, true);
            switch ($template) {
                case 'TEKNISA':
                    $templateTeknisa = new \Teknisa\CRM\Util\Mail\Templates\Teknisa\TemplateTeknisa();
                    $content = $templateTeknisa->setValuesTemplate($content);
                    $return = $email->newEmail($to, $subject, $content, $from, $attach, $toName, $emailCC, $nameCC);
                    return $return;
                break;
                case 'EMAILGENERICO':
                    $return = $email->newEmail($to, $subject, $content['template'], $from, $attach, $toName, $emailCC, $nameCC);
                break;
            }
            
        } catch(\Exception $e) {
            throw $e;
        }
    }
    
}